Bug 522146 - Make dhcrelay init script LSB compilant
Summary: Make dhcrelay init script LSB compilant
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-09 15:20 UTC by Josef Skladanka
Modified: 2018-01-11 13:38 UTC (History)
3 users (show)

Fixed In Version: dhcp-4.1.0p1-11.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-11 12:54:06 UTC


Attachments (Terms of Use)

Description Josef Skladanka 2009-09-09 15:20:44 UTC
1) The initscript does not match the template
<https://fedoraproject.org/wiki/Packaging/SysVInitScript#Initscript_template> -
from what I tested it lacks the exec and config variables

2) force-reload action is not implemented

3) stop action does not delete pidfile

How reproducible:
always

Steps to Reproduce:
1. service dhcrelay start
2. service dhcrelay stop

Actual results:
The /var/run/dhcrelay.pid file exists

Expected results:
The /var/run/dhcrelay.pid file is removed

4) stop action on stopped dhcpd returns 7 instead of 0

How reproducible:
always, if the problem before is fixed

Steps to Reproduce:
1. service dhcrelay start
2. service dhcrelay stop
3. service dhcrelay stop

Actual results:
The second stop returns 7

Expected results:
The second stop returns 0


Note You need to log in before you can comment on or make changes to this bug.